/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.entity.File;
import com.tofly.watermeter.entity.Readmeterhis;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface FileMapper extends BaseMapper<File> {
    Integer getMaxId();

    void saveManul(@Param("localFile") File localFile);

    void updateCbFileId(@Param("list") List<Readmeterhis> list);
}
